******** Beginning of example1.do **********************************************
/*
  Demonstrate the generation of resultssets
  by -descsave-, -parmby-, -xcollapse- and -xcontract-,
  using the -auto- data as input.
  Unofficial Stata packages required:
  -descsave-, -parmest-, -xcollapse-. -xcontract-.
*/

version 8.0

/*
  The -descsave- resultsset
*/

sysuse auto, clear
tempfile tf1
descsave, saving(`tf1', replace)
more
use `tf1', clear
describe
more
list, noobs
more

/*
  The -parmby- resultsset
*/

sysuse auto, clear
char rep78[omit] 3
parmby "xi: regress mpg i.rep78 length, robust", by(foreign) label norestore ///
  escal(N) rename(es_1 N) format(estimate min* max* %8.2f p %-8.2g)
more
describe
more
bysort foreign N (parmseq): list parmseq parm label estimate min* max* p, noobs
more

/*
  The -xcollapse- resultsset
*/

sysuse auto, clear
xcollapse (count) n=mpg (min) minmpg=mpg (median) medmpg=mpg (max) maxmpg=mpg, ///
  by(foreign rep78) norestore
describe
more
by foreign: list, noobs
more

/*
  The -xcontract- resultsset
*/

sysuse auto, clear
xcontract rep78, by(foreign) norestore
describe
more
by foreign: list, noobs
more

exit
******** End of example1.do ****************************************************
